Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 18 Mar 2021 12:48:15 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Complaint:
I had a bad experience with the delivery company claiming that I refused to accept order #9641918118. That's not true. I didn't reject any delivery on March 16th nor any other date.
Based on my past orders with CenterPoint, I seriously advise you to seriously review and enhance your delivery service because it is CATASTROPHIC. You are destroying the whole shopping experience by having such low quality delivery experience.
I don't intend to order anything from CenterPoint from now on.
Thanks. 
Rachid Lakhal
A previous customer https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2266143